Ugrás a fő tartalomhoz

Ezt a böngészőt már nem támogatjuk.

Frissítsen a Microsoft Edge-re, hogy kihasználhassa a legújabb funkciókat, a biztonsági frissítéseket és a technikai támogatást.

A Microsoft Edge letöltése További információk az Internet Explorerről és a Microsoft Edge-ről
microsoft-foundry.rest.security.o-auth2-auth

Agent Sessions

Create a session

POST /agents/{agent_name}/endpoint/sessions

Creates a new session for an agent endpoint. The endpoint resolves the backing agent version from version_indicator and enforces session ownership using the provided user identity for session-mutating operations.

Elérési útvonal paraméterei

agent_name string kötelező

The name of the agent to create a session for.

Paraméterek lekérdezése

api-version string kötelező

The API version to use for this operation.

Kérelem törzse

Content-Type: application/json
agent_session_id string

Optional caller-provided session ID. If specified, it must be unique within the agent endpoint. Auto-generated if omitted.

version_indicator version_ref kötelező

Version indicator determining which agent version backs the session.

Az alábbiak valamelyikének telepítve kell lennie:
version_ref VersionRefIndicator

Version indicator that references a specific agent version by name.

type enum kötelező

Discriminator value for version_ref.

version_ref
agent_version string kötelező

The agent version identifier returned by the agent version APIs.

Válaszok

The request has succeeded and a new resource has been created as a result.

Törzs

Content-Type: application/json
agent_session_id string kötelező

The session identifier.

version_indicator version_ref kötelező

Version indicator determining which agent version backs the session.

Az alábbiak valamelyikének telepítve kell lennie:
version_ref VersionRefIndicator

Version indicator that references a specific agent version by name.

type enum kötelező

Discriminator value for version_ref.

version_ref
agent_version string kötelező

The agent version identifier returned by the agent version APIs.

status string | enum kötelező

The status of an agent session.

A következők bármelyike:
string
enum
creatingactiveidleupdatingfaileddeletingdeletedexpired
created_at integer kötelező

The Unix timestamp (in seconds) when the session was created.

last_accessed_at integer kötelező

The Unix timestamp (in seconds) when the session was last accessed.

expires_at integer kötelező

The Unix timestamp (in seconds) when the session expires (rolling, 30 days from last activity).

stopped_at integer

The Unix timestamp (in seconds) when the session sandbox was last observed to stop or go idle. Present only after the session has gone idle at least once, used for accurate idle-billing reconciliation.

Client error

Törzs

Content-Type: application/json
error OpenAI.Error kötelező
code string | null kötelező
message string kötelező
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
A következők bármelyike:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string kötelező

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Törzs

Content-Type: application/json
error OpenAI.Error kötelező
code string | null kötelező
message string kötelező
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
A következők bármelyike:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string kötelező

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Kérés

POST /agents/{agent_name}/endpoint/sessions HTTP/1.1

Válasz

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
hu-hu
Az Ön adatvédelmi választási lehetőségei
  • AI-jogi nyilatkozat
  • Korábbi verziók
  • Blog
  • Közreműködés
  • Adatvédelem
  • A Consumer Health adatvédelmi nyilatkozata
  • Használati feltételek
  • Védjegyek
  • © Microsoft 2026